#
# Conditional build:
%bcond_without	systemd		# don't package systemd units

Summary:	HostAP - acts as an access point
Summary(es.UTF-8):	HostAP - actúa como un punto de acceso
Summary(pl.UTF-8):	HostAP - praca jako access point
Name:		hostapd
Version:	2.10
Release:	2
License:	BSD
Group:		Daemons
Source0:	https://w1.fi/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0be43e9e09ab94a7ebf82de0d1c57761
Source1:	%{name}.init
Source2:	%{name}.service
Source3:	%{name}@.service
Patch0:		%{name}-config.patch
Patch1:		%{name}-build-time-config.patch
URL:		http://w1.fi/hostapd/
BuildRequires:	libnl-devel >= 1:3.2
BuildRequires:	openssl-devel >= 1.0.2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3
Requires(post,preun):	/sbin/chkconfig
Requires:	openssl >= 1.0.2
Requires:	rc-scripts
%{?with_systemd:Requires:	systemd-units >= 38}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains utilities and userspace daemon for the Linux
driver for wireless LAN cards based on Intersil's Prism2/2.5/3,
Intersil/Conexant Prism GT/Duette/Indigo (Prism54), Atheros ar521x
(madwifi) chipsets. The driver supports a so called Host AP mode,
i.e., it takes care of IEEE 802.11 management functions in the host
computer and acts as an access point. This does not require any
special firmware for the wireless LAN card. In addition to this, it
has support for normal station operations in BSS and possible also in
IBSS.

%description -l es.UTF-8
Este paquete contiene unas herramientas y un servidor del espacio de
usuario para tarjetas LAN inalámbricas basadas en el chipset Intersil
Prism2/2.5/3, Intersil/Conexant Prism GT/Duette/Indigo (Prism54),
Atheros ar521x (madwifi). El driver soporta el llamado modo Host AP,
es decir, se encarga de las funciones administrativas el el host,
actuando como "access point". Ello no requiere ningún firmware
especial para la tarjeta LAN inalámbrica. Además, también hay soporte
para operaciones normales de estación en BSS y posiblemente también en
IBSS.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia oraz demona działającego w przestrzeni
użytkownika dla linuksowego sterownika kart sieci bezprzewodowych
opartych na układach Intersil Prism2/2.5/3, Intersil/Conexant Prism
GT/Duette/Indigo (Prism54), Atheros ar521x (madwifi). Sterownik
obsługuje tak zwany tryb Host AP, czyli dba o funkcje zarządzające
IEEE 802.11 na komputerze i działa jako access point. Nie wymaga to
żadnego specjalnego firmware dla karty sieci bezprzewodowej. Ponadto
ma obsługę normalnych operacji stacyjnych w BSS, a być może także
IBSS.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
LDFLAGS="%{rpmldflags}" \
%{__make} -C hostapd all nt_password_hash hlr_auc_gw \
	V=1 \
	CC="%{__cc}" \

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/{hostap,pcmcia},%{_mandir}/man{1,8}}
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d

# hostapd hostapd_cli nt_password_hash hlr_auc_gw
install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/hostapd
%if %{with systemd}
install -pD %{SOURCE2} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}.service
install -pD %{SOURCE3} $RPM_BUILD_ROOT%{systemdunitdir}/%{name}@.service
%endif
install -p hostapd/hostapd $RPM_BUILD_ROOT/sbin
install -p hostapd/hostapd_cli $RPM_BUILD_ROOT/sbin
install -p hostapd/nt_password_hash $RPM_BUILD_ROOT/sbin
install -p hostapd/hlr_auc_gw $RPM_BUILD_ROOT/sbin
cp -p hostapd/hostapd.8 $RPM_BUILD_ROOT%{_mandir}/man8
cp -p hostapd/hostapd_cli.1 $RPM_BUILD_ROOT%{_mandir}/man1

# hostapd configuration
cp -a hostapd/hostapd.accept $RPM_BUILD_ROOT%{_sysconfdir}/hostap
cp -a hostapd/hostapd.conf $RPM_BUILD_ROOT%{_sysconfdir}/hostap
cp -a hostapd/hostapd.deny $RPM_BUILD_ROOT%{_sysconfdir}/hostap

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add hostapd
%service hostapd restart "HostAP Daemon"

%preun
if [ "$1" = "0" ]; then
	%service hostapd stop
	/sbin/chkconfig --del hostapd
fi

%files
%defattr(644,root,root,755)
%doc COPYING hostapd/{ChangeLog,README,README-WPS}
%dir %{_sysconfdir}/hostap
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hostap/hostapd.accept
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hostap/hostapd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/hostap/hostapd.deny
%attr(755,root,root) /sbin/hlr_auc_gw
%attr(755,root,root) /sbin/hostapd
%attr(755,root,root) /sbin/hostapd_cli
%attr(755,root,root) /sbin/nt_password_hash
%attr(754,root,root) /etc/rc.d/init.d/hostapd
%{_mandir}/man1/hostapd_cli.1*
%{_mandir}/man8/hostapd.8*
%if %{with systemd}
%{systemdunitdir}/%{name}.service
%{systemdunitdir}/%{name}@.service
%endif
%changelog
* Sat Jan 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hostapd.git;a=log;h=master

* Sat Jan 22 2022 Jan Palus <atler@pld-linux.org> 389389e
- fix build flags application; rel 2

* Thu Jan 20 2022 Jan Palus <atler@pld-linux.org> c29d449
- updated source url to https

* Thu Jan 20 2022 Jan Palus <atler@pld-linux.org> 9417321
- up to 2.10

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 42c078b
- rebuild with openssl 3.0.0

* Mon Sep 06 2021 Jan Palus <atler@pld-linux.org> 5588f8d
- add systemd units (adapted from debian)

* Mon Sep 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 2b2ffb9
- more specific URL, BR cleanup

* Mon Sep 02 2019 Marcin Krol <hawk@tld-linux.org> 94c1cd6
- updated to 2.9

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6fc9651
- release 3 (by relup.sh)

* Wed Oct 18 2017 Adam Osuchowski <adwol@pld-linux.org> ff5a872
- fix WPA2 vurnelabilities (a.k.a. KRACK)
- rel 2

* Tue Oct 17 2017 Adam Osuchowski <adwol@pld-linux.org> 26c6c5b
- add BR: libnl1-devel
- add BR: pkgconfig

* Sat Jan 14 2017 Jakub Bogusz <qboosh@pld-linux.org> 0760ac2
- updated to 2.6 (fixes CVE-2016-4476 CVE-2015-5314)

* Sun Nov 01 2015 Jakub Bogusz <qboosh@pld-linux.org> 4bd340f
- updated to 2.5 (fixes CVE-2015-4141 CVE-2015-4142 CVE-2015-4145)
- specific madwifi driver has been dropped

* Thu Oct 23 2014 Adam Osuchowski <adwol@pld-linux.org> 756f72b
- more build-time options enabled

* Wed Oct 22 2014 Adam Osuchowski <adwol@pld-linux.org> 0a2b0f6
- up to 2.3

* Sun Jun 15 2014 Jakub Bogusz <qboosh@pld-linux.org> 80e02ff
- updated to 2.2

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> b1b0887
- updated to 2.1

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 788d424
- release 3 (by relup.sh)

* Mon Jan 14 2013 Jan Rękorajski <baggins@pld-linux.org> 425fd06
- release 2 (by relup.sh)

* Sat Dec 15 2012 Jakub Bogusz <qboosh@pld-linux.org> cc4d3e0
- updated to 1.1

* Wed May 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 7f5cb6c
- updated to 1.0
- updated build-time-config patch
- removed obsolete nl patch

